package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 领域常识监测对象 trs_domain_results
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
public class TrsDomainResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;

    /** 所在页 */
    @Excel(name = "所在页")
    private String page;

    /** 词条 */
    @Excel(name = "词条")
    private String wrongWord;

    /** 实体类型 */
    @Excel(name = "实体类型")
    private String domainType;

    /** 上下文 */
    @Excel(name = "上下文")
    private String context;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    @Excel(name = "版本号")
    private String version;

    @Excel(name = "识别码")
    private String datakey;
    public String getDatakey() {
        return datakey;
    }

    public void setDatakey(String datakey) {
        this.datakey = datakey;
    }


    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setPage(String page) 
    {
        this.page = page;
    }

    public String getPage() 
    {
        return page;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setDomainType(String domainType) 
    {
        this.domainType = domainType;
    }

    public String getDomainType() 
    {
        return domainType;
    }

    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sitename", getSitename())
            .append("page", getPage())
            .append("wrongWord", getWrongWord())
            .append("domainType", getDomainType())
            .append("context", getContext())
            .append("time", getTime())
            .append("status", getStatus())
            .toString();
    }
}
